using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

using MediaPortal.Configuration;

namespace MyClickMania
{
  public partial class ClickManiaSetup : MediaPortal.UserInterface.Controls.MPForm
  {
    public ClickManiaSetup()
    {
      InitializeComponent();
    }

    private void ClickManiaSetup_Load(object sender, EventArgs e)
    {
      using (MediaPortal.Profile.Settings xmlreader = new MediaPortal.Profile.Settings(Config.GetFile(Config.Dir.Config, myClickMania.configFileName)))
      {
        textBoxTitle.Text = xmlreader.GetValueAsString(myClickMania.configSection, "pluginName", myClickMania.defaultPluginTitle);
      }
    }

    private void buttonOK_Click(object sender, EventArgs e)
    {
      if (textBoxTitle.Text.Length == 0)
        textBoxTitle.Text = myClickMania.defaultPluginTitle;

      using (MediaPortal.Profile.Settings xmlwriter = new MediaPortal.Profile.Settings(Config.GetFile(Config.Dir.Config, myClickMania.configFileName)))
      {
        xmlwriter.SetValue(myClickMania.configSection, "pluginName", textBoxTitle.Text.ToString());
      }

      this.Close();
    }

    private void buttonCancel_Click(object sender, EventArgs e)
    {
      this.Close();
    }
  }
}
